apiVersion: v1
kind: Service
metadata:
  name: kafka-external
  namespace: kt-event-marketing
spec:
  ports:
  - name: tcp-client
    port: 9092
    protocol: TCP
    targetPort: client
  selector:
    app.kubernetes.io/instance: kafka
    app.kubernetes.io/name: kafka
    app.kubernetes.io/part-of: kafka
  sessionAffinity: None
  type: LoadBalancer
